Ruby: rb_global_variable Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
rb_global_variable Struct Reference

## Data Fields
int | counter
int | block_trace
VALUE * | data
rb_gvar_getter_t * | getter
rb_gvar_setter_t * | setter
rb_gvar_marker_t * | marker
rb_gvar_compact_t * | compactor
struct trace_var * | trace

## Detailed Description

Definition at line 320 of file variable.c.

## Field Documentation

## ◆ block_trace

int rb_global_variable::block_trace

Definition at line 322 of file variable.c.

Referenced by rb_alias_variable(), and rb_f_untrace_var().

## ◆ compactor

rb_gvar_compact_t* rb_global_variable::compactor

Definition at line 327 of file variable.c.

Referenced by rb_gvar_undef_setter().

## ◆ counter

int rb_global_variable::counter

Definition at line 321 of file variable.c.

Referenced by rb_alias_variable().

## ◆ data

VALUE* rb_global_variable::data

Definition at line 323 of file variable.c.

Referenced by rb_define_hooked_variable(), rb_gvar_get(), rb_gvar_undef_setter(), rb_gvar_val_getter(), rb_gvar_val_marker(), rb_gvar_val_setter(), and rb_gvar_var_setter().

## ◆ getter

rb_gvar_getter_t* rb_global_variable::getter

Definition at line 324 of file variable.c.

Referenced by rb_define_hooked_variable(), rb_define_virtual_variable(), rb_gvar_defined(), rb_gvar_get(), rb_gvar_getter_function_of(), and rb_gvar_undef_setter().

## ◆ marker

rb_gvar_marker_t* rb_global_variable::marker

Definition at line 326 of file variable.c.

Referenced by rb_define_hooked_variable(), and rb_gvar_undef_setter().

## ◆ setter

rb_gvar_setter_t* rb_global_variable::setter

Definition at line 325 of file variable.c.

Referenced by rb_define_hooked_variable(), rb_define_virtual_variable(), rb_gvar_setter_function_of(), and rb_gvar_undef_setter().

## ◆ trace

struct trace_var* rb_global_variable::trace

Definition at line 328 of file variable.c.

Referenced by rb_alias_variable(), rb_f_trace_var(), and rb_f_untrace_var().

The documentation for this struct was generated from the following file:

- variable.c